create database PUF
go


use PUF

create table PUF.U
(
  NU int not null,
  NomU varchar(20) not null,
  Ville varchar(20) not null,
  constraint PK_U primary key (NU),
)

create table PUF.P
(
  NP int not null,
  NomP varchar(20) not null,
  Couleur varchar(20) not null,
  Poids int not null,
  constraint PK_P primary key (NP),
)

create table PUF.F
(
  NF int not null,
  NomF varchar(20) not null,
  Statut varchar(20) not null,
  Ville varchar(20) not null,
  constraint PK_F primary key (NF),
)

create table PUF.PUF
(
  NP int not null,
  NU int not null,
  NF int not null,
  Quantit int not null,
  constraint PK_PUFF primary key (NP,NU,NF),
  constraint FK_NP foreign key (NP) references P (NP),
  constraint FK_NU foreign key (NU) references U (NU),
  constraint FK_NF foreign key (NF) references F (NF),
)
go

Begin transaction
delete from PUF
delete from U
delete from F
delete from P

INSERT U values (1,	'A',	'Paris')
INSERT U values (2,	'B',	'Paris')
INSERT U values (3,	'C',	'Paris')
INSERT U values (4,	'D',	'Londres')
INSERT U values (5,	'E',	'Londres')

INSERT F values (1,	'A',	'Indpendant',	'Paris')
INSERT F values (2,	'B',	'Grossiste',	'Paris')
INSERT F values (3,	'C',	'Indpendant',	'Londres')
INSERT F values (4,	'D',	'Grossiste',	'Paris')
INSERT F values (5,	'E',	'Indpendant',	'Londres')
INSERT F values (6,	'F',	'Grossiste',	'Bruxelles')
INSERT F values (7,	'G',	'Indpendant',	'Lige')
INSERT F values (8,	'H',	'Grossiste',	'Namur')
INSERT F values (9,	'I',	'Indpendant',	'Charleroi')
INSERT F values (10,	'J',	'Grossiste',	'Namur')


INSERT P values (1,	'iPod',		'rouge',	100)
INSERT P values (2,	'iPod',		'gris',		100)
INSERT P values (3,	'iMac',		'blanc',	300)
INSERT P values (4,	'MacBook',	'blanc',	200)
INSERT P values (5,	'MacBook',	'noir',		200)


/* PUF(NP, NU, NF, qu)  */
INSERT PUF values (1,	1,	1,	10)
INSERT PUF values (1,	1,	2,	15)
INSERT PUF values (5,	4,	3,	15)
INSERT PUF values (5,	5,	3,	15)
INSERT PUF values (5,	1,	3,	15)
INSERT PUF values (5,	2,	3,	1)
INSERT PUF values (5,	3,	3,	1)
INSERT PUF values (2,	1,	4,	1)






commit